var inicio=0;

function aumentar(num){

inicio = num + 10;
Cargar();
}

function disminuir(num){

  if(num>0 ){
    inicio = num - 10;
    Cargar();
  }

}

function Cargar(){
document.location.href="ingresar_usuarios.php?sw=0&pos="+inicio;
}

   
//----------------------------------------------------
$(document).ready(function(){

    $("#bton_insertar").click(function(){
         var parametros = {"accion":'mostrar_tabla'};
                    $.ajax({
                    data:  parametros,
                    url:"app/model/insertar_usuario.php",
                    type: "POST",
                success: function(opciones){$("#insertar").html(opciones);}})});});


//----------------------------------------------------







$(document).ready(function(){

    $("#bton_buscar").click(function(){
         var parametros = {"accion":'buscar_usuario'};
                    $.ajax({
                    data:  parametros,
                    url:"app/model/insertar_usuario.php",
                    type: "POST",
                success: function(opciones){
                          $("#insertar").html(opciones);
                          
                          cargar_roles();           
                }})});
                                
}); 





 //------------------------------------------
function mostrar1(){

var p = parametro( 'pos' );

if (p==""){
    p=0;
}

var v1=get('roles');
var v2=get('codigo');

if (v1=="") {
    alert("Seleccione Rol");
    return 0;
}

if (v2=="") {
    alert("Digite C&oacute;digo");
    return 0;
}


document.location.href="ingresar_usuarios_rol.php?sw=0&rol="+v1+"&codigo="+v2+"&pos="+p;
        
}

//--------------------------

function cargar_roles(){

var parametros = {"accion":'roles'};
        $.ajax({
                data:  parametros,
                url:"app/model/insertar_usuario.php",
                type:  'post',
                success:function (response){

                        $("#roles").html(response);                        
           }
        });
}

//-----------------------------------------------------
function get(id){
    return document.getElementById(id).value;
}

//--------------------------

function limpiar_usuarios(){
    document.getElementById('r_id1').value='';
    document.getElementById('r_id2').value='';
    document.getElementById('codigo').value='';
    document.getElementById('nombres').value='';    
    document.getElementById('usuario').value='';
    document.getElementById('contrasena').value='';
    
    document.getElementById('r_id1').focus();
}


//--------------------------

function grabar_usuarios(){

var p = parametro( 'pos' );

if (p==""){
    p=0;
}

var rol=document.getElementById('r_id1').value;
var codigo=document.getElementById('codigo').value;
var nombres=document.getElementById('nombres').value;
var usuario=document.getElementById('usuario').value;
var contrasena=document.getElementById('contrasena').value;
var fecha=document.getElementById('fecha').value;

if (rol=="") {
    alert("Seleccione Rol");
    return 0;
}
if (codigo=="") {
    alert("Seleccione Usuario");
    return 0;
}

if (usuario=="") {
    alert("Digite Usuario");
    return 0;
}
if (contrasena=="") {
    alert("Digite Contrase&ntilde;a");
    return 0;
}

var parametros = {"accion":'grabar_usuario',
                  "rol":rol,
                  "codigo":codigo,
                  "nombres":nombres,
                  "usuario":usuario,
                  "contrasena":contrasena,
                  "fecha":fecha
                  };
        $.ajax({
                data:  parametros,
                url:"app/model/insertar_usuario.php",
                type:  'post',
                success:function (response){
                        alert(response);
                        limpiar_usuarios();
                        document.location.href="ingresar_usuarios.php?sw=0&pos="+p;
                }
        });

}

//-----------------------------------

function Actualizar(){

var p = parametro( 'pos' );

if (p==""){
    p=0;
}

var rol=document.getElementById('r_id1').value;
var codigo=document.getElementById('codigo').value;
var nombres=document.getElementById('nombres').value;
var usuario=document.getElementById('usuario').value;
var contrasena=document.getElementById('contrasena').value;
var fecha=document.getElementById('fecha').value;

if (usuario=="") {
    alert("Digite Usuario");
    return 0;
}
if (contrasena=="") {
    alert("Digite Contrase&ntilde;a");
    return 0;
}

var parametros = {"accion":'actualizar_usuario',
                  "rol":rol,
                  "codigo":codigo,
                  "nombres":nombres,
                  "usuario":usuario,
                  "contrasena":contrasena,
                  "fecha":fecha
                  };
        $.ajax({
                data:  parametros,
                url:"app/model/insertar_usuario.php",
                type:  'post',
                success:function (response){
                        document.location.href="ingresar_usuarios.php?sw=0&pos="+p;
                        alert(response);
                }
        });

}

//------------------------------------------
function Eliminar(rol,codigo,usuario,inicio,total){

    if ((total>10) && (total-inicio==1)){
       inicio=inicio-10;
   }

   var parametros = {"accion":'borrar_usuario',"rol" :rol,"codigo" :codigo,"usuario" :usuario};
        $.ajax({
                data:  parametros,
                url:"app/model/insertar_usuario.php",
                type:  'post',
                success:function (response){
                        alert(response);
                        document.location.href="ingresar_usuarios.php?sw=0&pos="+inicio;

                }
        });

   

}

//------------------------------------------
function Editar(rol,codigo,usuario,inicio,total){

    var parametros = {"accion":'editar_usuario',"rol" :rol,"codigo" :codigo,"usuario" :usuario};
        $.ajax({
                data:  parametros,
                url:"app/model/insertar_usuario.php",
                type:  'post',
                success: function(opciones){$("#insertar").html(opciones);

                }
        });
}

//------------------------------------------
function nombres_usuarios(){

  var sw;
  sw=parametro('sw');
  
  if (sw=='')
      sw=1;


    var parametros = {"accion":'nombres_usuarios',"sw":sw};
        $.ajax({
                data:  parametros,
                url:"app/model/insertar_usuario.php",
                type:  'post'
               });
}

//-----------------------------------
function parametro( name ){
	var regexS = "[\\?&]"+name+"=([^&#]*)";
	var regex = new RegExp ( regexS );
	var tmpURL = window.location.href;
	var results = regex.exec( tmpURL );
	if( results == null )
		return "";
	else
		return results[1];
}

